import io
from PyPDF2 import PdfWriter, PdfReader
from reportlab.pdfgen import canvas
from reportlab.lib.colors import red

def add_watermark(input_pdf, output_pdf, watermark_line1, watermark_line2):
    # Créez un fichier PDF avec le filigrane
    watermark_stream = io.BytesIO()
    width = 1500  # à ajuster selon vos besoins
    height = 1000  # à ajuster selon vos besoins
    c = canvas.Canvas(watermark_stream, pagesize=(width, height))
    c.setFillColor(red)

    font_name = "Helvetica"
    font_size = 40  # Ajustez la taille selon vos besoins
    c.setFont(font_name, font_size)
    
    c.drawString(500, 100, watermark_line1)  # Ligne du haut
    c.drawString(500, 50, watermark_line2)  # Ligne du bas
    c.save()

    # Positionnez le filigrane au centre de la page
    watermark_stream.seek(0)
    watermark = PdfReader(watermark_stream)
    pdf = PdfReader(input_pdf)
    pdf_writer = PdfWriter()

    # Ajoutez le filigrane à chaque page
    for i in range(len(pdf.pages)):
        page = pdf.pages[i]
        page.merge_page(watermark.pages[0])
        pdf_writer.add_page(page)

    with open(output_pdf, 'wb') as output_file_handle:
        pdf_writer.write(output_file_handle)

# Utilisation
input_file = "Mon_fichier_pdf_sans_filigrane.pdf" 
output_file = "Fichier_PDF_avec_ajout_Filigrane.pdf"
watermark1 = "NE PAS REPRODUIRE" 
watermark2 = "© All IT Network" 

add_watermark(input_file, output_file, watermark1, watermark2)